dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);

-- skewed block formation
--LManager:AddTable(eTYPE_TABLE1, 200, 260);
LManager:AddTable(eTYPE_TABLE2, 380, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 150, 375);
LManager:AddTable(eTYPE_TABLE5, 330, 375);
LManager:AddTable(eTYPE_TABLE6, 510, 375);
LManager:AddTable(eTYPE_TABLE7, 100, 490);
LManager:AddTable(eTYPE_TABLE8, 280, 490);
--LManager:AddTable(eTYPE_TABLE9, 460, 490);

LManager:AddCandle(165, 74, 25000);
LManager:AddCandle(285, 74, 25000);
LManager:AddCandle(576, 74, 25000);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED8);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED12);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED6);
seated.tableIdx = 6;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 7;
LManager:AddSeated(seated);

guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 10000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 63000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 83000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 145000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 232000;
guest.needs[6] = eWANT_DRINK;
guest.times[6] = 249000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST9);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 70000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 144000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 163000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 243000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST10);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 49000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 90000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 143000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 170000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 224000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 256000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST11);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 17000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 97000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 135000;
guest.needs[4] = eWANT_DRINK;
guest.times[4] = 177000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 219000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 264000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_DRINK;
guest.times[1] = 24000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 56000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 103000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 128000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 184000;
guest.needs[6] = eWANT_TALK;
guest.times[6] = 269000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST7);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 31000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 56000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 110000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 191000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 208000;
LManager:AddGuest(guest);

guest = LManager.GenGuest(eTYPE_GUEST8);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 43000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 123000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 203000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 211000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(3,8);
LManager:SetLevelScores(12100, 12200);
LManager:SetLevelTime(40000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();